summary refs log tree commit diff
path: root/.config/mpv/update-uosc.sh
diff options
context:
space:
mode:
Diffstat (limited to '.config/mpv/update-uosc.sh')
-rwxr-xr-x.config/mpv/update-uosc.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/.config/mpv/update-uosc.sh b/.config/mpv/update-uosc.sh
new file mode 100755
index 0000000..7334b58
--- /dev/null
+++ b/.config/mpv/update-uosc.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -e
+
+URI="
+	https://github.com/tomasklaen/uosc/releases/latest/download/uosc.zip
+	https://github.com/tomasklaen/uosc/releases/latest/download/uosc.conf
+"
+
+target="$(readlink -f -- "$(dirname "$0")")"
+tmp=$(mktemp -d)
+trap '{ rm -r $tmp; }' EXIT INT
+cd "$tmp" || exit 1
+
+for src in $URI; do
+	curl -sLO "$src"
+	{ unzip -qd "$tmp"/ "$tmp"/*.zip 2>/dev/null && rm "$tmp"/*.zip; } || true
+	{ tar -xf "$tmp"/*.tar* -C "$tmp"/ 2>/dev/null && rm "$tmp"/*.tar*; } || true
+done
+
+rsync -ac "$tmp"/ "$target"/